# Generated by Django 3.0 on 2020-06-22 06:56

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Counterparty',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
            ],
            options={
                'db_table': 'counterparty',
            },
        ),
        migrations.CreateModel(
            name='LogRecord',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('number', models.CharField(max_length=128)),
                ('wms_fullname', models.CharField(choices=[('1', 'Started'), ('2', 'Ended')], default='1', max_length=1)),
                ('number_of_records', models.IntegerField()),
                ('created_at', models.DateField(max_length=128)),
                ('approved_at', models.DateField(max_length=128)),
                ('counterparty', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='api.Counterparty')),
                ('executor', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'log_record',
            },
        ),
        migrations.CreateModel(
            name='Warehouse',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
            ],
            options={
                'db_table': 'warehouse',
            },
        ),
        migrations.CreateModel(
            name='LogRecordItem',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('current_serial_number', models.CharField(max_length=128)),
                ('new_serial_number', models.CharField(max_length=128)),
                ('item_name', models.CharField(max_length=128)),
                ('item_code', models.CharField(max_length=128)),
                ('logical_warehouse', models.CharField(max_length=128)),
                ('log_record', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='api.LogRecord')),
            ],
            options={
                'db_table': 'log_record_item',
            },
        ),
        migrations.AddField(
            model_name='logrecord',
            name='warehouse',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='api.Warehouse'),
        ),
    ]
